
#include "main.h"

#include "함수묶음.h"
#include "기계닉스\기계닉스_이름정의.h"
#include "기계닉스\전역정보.h"
#include "기계닉스\Event.h"
#include "기계닉스\Gui.h"
#include "기계닉스\함수모음.h"
#include "__Main.h"


void main(void)
{
  //[전역정보]{-----------
  struct t_전역정보  *gv; 
  _전역정보_주소얻기(&gv);
  //}-------------------

  //[초기화]
  //{
      _전역정보_초기화();
      
      _Event_생성자();
      
      _Gui_기본틀_생성자();

  //}
  
  //[사용자:구현]
  //{
      //사용자 GUI 는 여기서 구현.
      __Main();
      
  //}

  //[대기]
  //{
      //[알림문] 처리를 위한 대기.  
      while(gv->실행);

  //}
  
}

